package com.qmth.distributed.print.business.bean.dto;

import com.qmth.teachcloud.common.enums.FlowStatusEnum;

import java.util.Objects;

/**
 * @Date: 2021/3/31.
 */
public class ExamTaskDetailCardDto {

    private String examTaskId;
    private String paperType;
    private String paperAttachmentIds;
    private String cardId;
    private String paperConfirmAttachmentIds;
    private String remark;
    private String exposedPaperType;
    private String relatePaperType;
    private String unexposedPaperType;
    private Boolean enable;
    private String makeMethod;
    private Integer drawCount;
    private String status;
    private String flowId;
    private Integer setup;
    // 审核流程taskId
    private String flowTaskId;
    private String examId;
    private String examModel;
    private String examName;
    private String semesterName;
    private FlowStatusEnum flowStatus;
    private String flowStatusStr;

    public FlowStatusEnum getFlowStatus() {
        return flowStatus;
    }

    public void setFlowStatus(FlowStatusEnum flowStatus) {
        this.flowStatus = flowStatus;
    }

    public String getFlowStatusStr() {
        if (Objects.nonNull(flowStatus)) {
            return flowStatus.getTitle();
        } else {
            return flowStatusStr;
        }
    }

    public void setFlowStatusStr(String flowStatusStr) {
        this.flowStatusStr = flowStatusStr;
    }

    public String getExamTaskId() {
        return examTaskId;
    }

    public void setExamTaskId(String examTaskId) {
        this.examTaskId = examTaskId;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public String getPaperAttachmentIds() {
        return paperAttachmentIds;
    }

    public void setPaperAttachmentIds(String paperAttachmentIds) {
        this.paperAttachmentIds = paperAttachmentIds;
    }

    public String getCardId() {
        return cardId;
    }

    public void setCardId(String cardId) {
        this.cardId = cardId;
    }

    public String getPaperConfirmAttachmentIds() {
        return paperConfirmAttachmentIds;
    }

    public void setPaperConfirmAttachmentIds(String paperConfirmAttachmentIds) {
        this.paperConfirmAttachmentIds = paperConfirmAttachmentIds;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getExposedPaperType() {
        return exposedPaperType;
    }

    public void setExposedPaperType(String exposedPaperType) {
        this.exposedPaperType = exposedPaperType;
    }

    public String getRelatePaperType() {
        return relatePaperType;
    }

    public void setRelatePaperType(String relatePaperType) {
        this.relatePaperType = relatePaperType;
    }

    public String getUnexposedPaperType() {
        return unexposedPaperType;
    }

    public void setUnexposedPaperType(String unexposedPaperType) {
        this.unexposedPaperType = unexposedPaperType;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public String getMakeMethod() {
        return makeMethod;
    }

    public void setMakeMethod(String makeMethod) {
        this.makeMethod = makeMethod;
    }

    public Integer getDrawCount() {
        return drawCount;
    }

    public void setDrawCount(Integer drawCount) {
        this.drawCount = drawCount;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getFlowId() {
        return flowId;
    }

    public void setFlowId(String flowId) {
        this.flowId = flowId;
    }

    public Integer getSetup() {
        return setup;
    }

    public void setSetup(Integer setup) {
        this.setup = setup;
    }

    public String getFlowTaskId() {
        return flowTaskId;
    }

    public void setFlowTaskId(String flowTaskId) {
        this.flowTaskId = flowTaskId;
    }

    public String getExamId() {
        return examId;
    }

    public void setExamId(String examId) {
        this.examId = examId;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public String getExamModel() {
        return examModel;
    }

    public void setExamModel(String examModel) {
        this.examModel = examModel;
    }

    public String getSemesterName() {
        return semesterName;
    }

    public void setSemesterName(String semesterName) {
        this.semesterName = semesterName;
    }
}
